Prompt Repository
Update prompt
Updates a prompt's name or folder.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
idstring
name?string
folder_id?string
Response Body
curl -X PUT "https://loading/{AI_GATEWAY_URL}/api/prompt-repo/prompts/string" \ -H "Content-Type: application/json" \ -d '{}'{
"prompt": {
"id": "string",
"name": "string",
"folder_id": "string",
"folder": {
"id": "string",
"name": "string",
"description": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"prompts_count": 0
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"versions": [
{
"id": 0,
"prompt_id": "string",
"version_number": 0,
"commit_message": "string",
"model_params": {},
"provider": "string",
"model": "string",
"is_latest": true,
"created_at": "2019-08-24T14:15:22Z",
"messages": [
{
"id": 0,
"order_index": 0,
"message": {}
}
]
}
],
"sessions": [
{
"id": 0,
"prompt_id": "string",
"version_id": 0,
"name": "string",
"model_params": {},
"provider": "string",
"model": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"messages": [
{
"id": 0,
"order_index": 0,
"message": {}
}
]
}
],
"latest_version": {
"id": 0,
"prompt_id": "string",
"version_number": 0,
"commit_message": "string",
"model_params": {},
"provider": "string",
"model": "string",
"is_latest": true,
"created_at": "2019-08-24T14:15:22Z",
"messages": [
{
"id": 0,
"order_index": 0,
"message": {}
}
]
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}